%define upstream_name    DateTime-Format-Natural
%define upstream_version 0.94

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base class for DateTime::Format::Natural::Lang::
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

# not autodetected 
Requires:   perl(boolean)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.340.201
BuildRequires: perl(Module::Util)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(boolean)
BuildArch:  noarch

%description
'DateTime::Format::Natural' takes a string with a human readable date/time
and creates a machine readable one by applying natural parsing logic.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL META.yml README
%{_mandir}/man3/*
%perl_vendorlib/DateTime
%{_bindir}/dateparse
%{_mandir}/man1/dateparse.1*

%changelog
* Sun Apr 03 2011 jquelin <jquelin> 0.940.0-1.mga1
+ Revision: 80050
- update to 0.94

* Fri Feb 25 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 59707
- update to 0.93

  + dmorgan <dmorgan>
    - Fix buildrequire

* Mon Jan 31 2011 dmorgan <dmorgan> 0.920.0-1.mga1
+ Revision: 44856
- Fix buildrequires
- New version

* Mon Jan 24 2011 jquelin <jquelin> 0.910.0-1.mga1
+ Revision: 36196
- mageia rebuild
- imported package perl-DateTime-Format-Natural

